---
title: "Disable campaign pricing"
type: reference
method: DELETE
path: /rest-api/campaign/{campaignId}/pricing.do
tag: "Campaigns"
---

# Disable campaign pricing

`DELETE https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/pricing.do`

Removes the entire pricing configuration for the specified campaign, including all country-level and action-level pricing entries. The campaign's pricing reference is set to null. The caller must have UPDATE permission on the campaign's advertiser and MANAGE_PRICING permission. If no pricing exists for the campaign there is nothing to remove and the answer is the same {success:true}.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `campaignId` | integer | yes | `2001` | Unique identifier of the campaign whose pricing to remove |

## Responses

- `200` — {success:true}: campaign pricing removed, or there was none
- `400` — Campaign is deleted
- `401` — Authentication error
- `403` — Not enough permissions
- `404` — Campaign not found

## Example request

```bash
curl --request DELETE \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/campaign/2001/pricing.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/campaigns/delete-campaign-pricing